Bug 208736 - Review Request: pmount - Enable normal user mount
Summary: Review Request: pmount - Enable normal user mount
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-10-01 09:11 UTC by Patrice Dumas
Modified: 2012-07-10 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-12 20:11:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpmahowald: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Patrice Dumas 2006-10-01 09:11:21 UTC
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/pmount.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/pmount-0.9.13-1.src.rpm
Description: 

pmount  ("policy mount") is a wrapper around the standard mount program
which permits normal users to mount removable devices without a
matching /etc/fstab entry.

Be warned that pmount is installed setuid root.

Comment 1 Patrice Dumas 2006-10-01 09:35:35 UTC
I packaged that package for ivman since it plays well with ivman
in lightweight environments. However I don't plan to use it
regularly (I use gnome-mount instead) so I would prefer if 
somebody who use it for real could co-maintain (or maintain)
it. It doesn't mean that I won't maintain it seriously, but 
I may not be able to understand perfectly the issues.

Comment 2 John Mahowald 2007-05-06 00:09:12 UTC
I'm interested as a newer pam_usb uses it to mount devices. I could co-maintain.


+ Builds in mock FC6 x86_64
+ rpmlint complains:
E: pmount setuid-binary /usr/bin/pumount root 04755
E: pmount non-standard-executable-perm /usr/bin/pumount 04755
E: pmount setuid-binary /usr/bin/pmount root 04755
E: pmount non-standard-executable-perm /usr/bin/pmount 04755

Expected as both are setuid root. This is intended for pmount to run as ordinary
user.

+ clear Summary and %description
+ spec follows template
+ License GPL
+ Follows naming guidelines
+ URL
+ BuildRoot good
+ BuildRequires sane
+ use of %find_lang
+ use of macros
+ tested, mounts and umounts as user

Comment 3 Patrice Dumas 2007-05-06 13:45:50 UTC
New Package CVS Request
=======================
Package Name: pmount
Short Description: Enable normal user mount
Owners: pertusus [ AT ] free.fr, jpmahowald [ AT ] gmail.com
Branches: FC-6 EL-5
InitialCC:  

Comment 4 Patrice Dumas 2007-05-06 13:47:03 UTC
I haven't asked for a EL-4 branch because I don't know if
the dependencies are there. If somebody is interested, contact
me.

Comment 5 Warren Togami 2007-05-06 23:05:06 UTC
Please do not obfuscate addresses here.  They are read by a script, so this
slows things down considerably.

Comment 6 Patrice Dumas 2007-05-12 20:11:46 UTC
Thanks for the review and the branching, sorry for the
obfuscation, but email address shouldn't be visible.

Comment 7 Richard Shaw 2012-07-10 16:18:31 UTC
Package Change Request
======================
Package Name: pmount
New Branches: el6
Owners: hobbes1069 ktdreyer
InitialCC:

Hopefully I got your FAS account name right, Ken!

Comment 8 Kevin Fenzi 2012-07-10 22:11:26 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.